<!-----------Main Array:    pdf names,     Title of files,      [associated keywords]       ------>


var array=[
 ['"a1afei.pdf"',   'Properties of Functions',  ['Functions','Range','Domain','Co-Domain','Inverse Function']],
 ['"a1arc.pdf"',    'Arc Functions',    ['Domain','Functions','Range','Arc Functions']],
 ['"a1dg1o.pdf"',   '1st Order Differential Equations', ['Differential Equation (1st Order)','Initial Value','Inhomogeneous Differential Equation']],
 ['"a1difa.pdf"',   'Application of Calculus',  ['Derivative','Implicit Differentiation','Differential','Tangent Line','Linearization','Approximation','Relative Error','Absolute Error','Functions','Limit']],
 ['"a1diff1.pdf"',  'Derivatives', ['Derivative','Functions','Logarithmic Differentiation']],
 ['"a1diff2.pdf"',  'Derivatives (Part 2)',    ['Derivative','Functions']],
 ['"a1exlo.pdf"',   'Exponential and Logarithm',    ['Functions','Exponential','Logarithm','Equations']],
 ['"a1gebf.pdf"',   'Rational Functions',       ['Functions','Rational Functions','Discontinuities','Poles','Zeros','Asymptotes']],
 ['"a1glun.pdf"',   'Equations and Inequalities',['Equations','Inequalities']],
 ['"a1gstf.pdf"',   'Limits and Continuity',        ['Continuity','Limit','Functions']],
 ['"a1koma.pdf"',   'Applications of Complex Numbers',  ['Applications','Complex Numbers']],
 ['"a1komp1.pdf"',  'Working with Complex Numbers',  ['Complex Numbers','Complex Zeros']],
 ['"a1lgs.pdf"',    'Systems of Linear Equations',      ['Systems','Linear Systems','Linear Equations']],
 ['"a1poly.pdf"',   'Polynomials',      ['Polynomials','Zeros','Functions']],
 ['"a1sico.pdf"',   'Sine and Cosine',  ['Functions','Sine','Cosine']],
 ['"a1vekan.pdf"',  'Vector Analysis (Applications)',['Applications','Vectors']],
 ['"a1vektor1.pdf"','Vector Analysis',      ['Vectors']],
 ['"a1vektor2.pdf"','Vector Analysis (Part 2)',    ['Vectors']],
 ['"a1vind.pdf"',   'Complete Induction',   ['Complete Induction']],
 ['"a2ifun1.pdf"',  'Multiple Integrals',   ['Integrals','Multiple Integrals']],
 ['"a2ifun2.pdf"',  'Multiple Integrals (Applications)',    ['Applications','Integrals','Multiple Integrals']],
 ['"a2int.pdf"',    'Integration',  ['Integrals','Integration']],
 ['"a2intm.pdf"',   'Integration (Applications)',    ['Applications','Integrals','Integration']],
 ['"a2lap.pdf"',    'Laplace Transform',        ['Transforms','Laplace Transform']],
 ['"a2lapa.pdf"',   'Laplace Transform (Applications)',     ['Transforms','Applications','Laplace Transform']],
 ['"a2linu.pdf"',   'Linear Dependency',        ['Vectors','Linear Dependency']],
 ['"a2mdet.pdf"',   'Matrices and Determinants',['Matrices','Determinants']],
 ['"a2mlg.pdf"',    'Matrices and Systems of Linear Equations', ['Systems','Linear Equations','Matrices']],
 ['"a2mvar1.pdf"',  'Partial Derivatives',      ['Derivative','Partial Derivatives','Functions']],
 ['"a2mvar2.pdf"',  'Calculus of Multivariable Functions',['Derivative','Partial Derivatives','Functions','Calculus']],
 ['"a2mvar3.pdf"',  'Calculus of Multivariable Functions<br>(Applications)',['Applications','Derivative','Partial Derivatives','Functions','Calculus']],
 ['"a2reihe.pdf"',  'Series and Power Series',['Series','Power Series']],
 ['"a2tay.pdf"',    'Taylor Series',['Series','Taylor Series']],
 ['"a2taya.pdf"',   'Taylor Series (Application)',['Applications','Series','Taylor Series']],
 ['"a3comp.pdf"',   'Complex Numbers',['Complex Numbers']],
 ['"a3comp2.pdf"',  'Complex-Valued Functions',['Complex Numbers','Functions']],
 ['"a3compan1.pdf"','Complex Numbers: Applications',['Applications','Complex Numbers']],
 ['"a3compan2.pdf"','Complex Numbers: AC Circuits',['Applications','Complex Numbers']],
 ['"a3dg1(2).pdf"', '1st Order Differential Equations (2)',['Differential Equation (1st Order)','Differential Equations']],
 ['"a3dg1.pdf"',    '1st Order Differential Equations',['Differential Equation (1st Order)','Differential Equations']],
 ['"a3dg1an.pdf"',  'Applications of Differential Equations',['Differential Equation (1st Order)','Applications','Differential Equations']],
 ['"a3dgn(1).pdf"', 'Differential Equations of Order n',['Differential Equation (n-th Order)','Differential Equations']],
 ['"a3dgn(2).pdf"', 'Differential Equations of Order n (2)',['Differential Equation (n-th Order)','Differential Equations']],
 ['"a3dgnan.pdf"',  'Differential Equations (Applications)',['Applications','Differential Equations']],
 ['"a3dgsys(2).pdf"','Systems of Differential Equations (2)',['Differential Equation (Systems)','Differential Equations','Eigen Values','Eigen Vectors']],
 ['"a3dgsys.pdf"',  'Systems of Differential Equations',['Differential Equation (Systems)','Eigen Values','Eigen Vectors','Differential Equations']],
 ['"a3fr(2).pdf"',  'Fourier Series (Part 2)',['Series','Fourier Series','Functions']],
 ['"a3fr.pdf"',     'Fourier Series',['Series','Functions','Fourier Series']],
 ['"a3ft1.pdf"',    'Fourier Transform',['Transforms','Fourier Transform','Functions']],
 ['"a3ft2.pdf"',    'Fourier Transform (Applications)',['Applications','Transforms','Differential Equations','Transfer Function','Fourier Transform']],
 ['"a3pdg1.pdf"',   'Partial Differential Equations',['Partial Differential Equation','Differential Equations']],
 ['"a3pdg2.pdf"',   'Partial Differential Equations<br> (Applications)',['Partial Differential Equation','Differential Equations']]
 ];
 <!-------------------------------------------------------------------------------> 

<!--------dynamic keywords entry array for input dropdown list---->
//window.onload = function()
//{
 var inter=[];
 for(var p=0; p<array.length;p++) {
  for(var q=0; q<array[p][2].length;q++) {
	  inter.push(array[p][2][q]);      //move all keywords to inter[] array
  }
 }
 
var keywordlist=[];
var keywordlist=inter.filter(function(itm,f,inter){  //select unique values from inter[] array
    return f==inter.indexOf(itm);
});
 
var sortedkeywordlist=[];
var sortedkeywordlist=keywordlist.sort();   //sort the inter[] array

function searchkey()
{ 
    $("#searchResult").find('h3').remove();
    $("#searchResult ul li").remove();
 
    var key= document.getElementById("search").value;  //keyword input value obtained

    var matches= 0;
    for(var i = 0; i < sortedkeywordlist.length;i++){
        if(sortedkeywordlist[i] == key)
            matches++;
        }
    if(matches==0)  //invalid keyword
    {
        showRight('startpageleft','dontslideright');
        return false;
    }
 
    if(key==""||key==null)  //No keyword is entered
    {
        showRight('startpageleft','dontslideright');
        return false;
    }

var count=0;
var arr=[];     //temporary simple array

for(var p=0; p<array.length;p++) {
  for(var q=0; q<array[p][2].length;q++) {
	
    if(key==array[p][2][q]) {  //compare search value with array(keywords)elements
	 count=count+1;            //number of rows in dynamic array
        for (var g=0;g<2;g++){ //move pdf name and title of selected files to the simple array
         arr.push(array[p][g]);
        }
    }
	  
  }	   
}
<!-----Dynamic Array with 2 columns--->
var row = count;
var col =2;
var k =0;
var  dynamicArray= new Array(row);

for (i=0; i<row; ++i) {
  var tmp = new Array(col);
  for (j=0; j<col; ++j) {
    tmp[j] = arr[k];
    k++;
  }
  dynamicArray[i] = tmp;
}
<!----------------------------------->

<!----Append to dynamic DIV--->
    


($("#searchResult").prepend('<h3 class="iPadSpace" class="iPadSpacesm"> Search Results: '+key+'</h3>')); //Append the heading of the page
    
$("#searchResult #resultList").append('<li data-role="list-divider"  class="textlg"> Problems on '+key+'</li>');

for(var i=0;i<count;i++){
	
    $("#searchResult #resultList").append("<li><a onclick='loadChildBrowser(true,"+dynamicArray[i][0]+");' class='text'>"+dynamicArray[i][1]+"</a></li>"); //Append the list elements to ul
    $("#searchResult #resultList").listview( "refresh" ); //refreshing list each time a new list is added

}

<!-------------------------->

showRight('searchResult','dontslideright'); //Navigate to Dynamic DIV element after search
$("#popupbasic").popup( "close" ); //Automatically close the popup box after search

}
