// Initialisierung der iMath-App mit Aufgaben+Lösungen vom Server 				   //
// incl. Projektarbeit Dennis Sonntag                                              //
// ************************************************************************        //


// Aufrufen, wenn App vollständig geladen ist
function onBodyLoad()
        {
            //alert(localStorage.length);
			document.addEventListener("deviceready", onDeviceReady, false);
					
		
		}
		
		
		
var buttomDom;
var statusDom;
var fileSystem;

				

function onDeviceReady() {
		
		//alert("PhoneGap is running");
		document.addEventListener("backbutton", onBackKeyDown, false);
		
		
		var version = "1.0";                              // ****************************** remember to update this 
		if(localStorage.getItem("version") != version){
  				localStorage.clear();
  				localStorage.setItem("version", version);
  				//console.log(localStorage.getItem("Neue Version " +'appAufruf'));
		}
	
					
			
		//Steuer-Variablen
		allesDa = localStorage.getItem('allesDa');     //Prüft ob alle Dateien da sind
		downloadChk = true;                            //Prüft ob beim Downladen alles o.k.
		appAufruf = localStorage.getItem('appAufruf'); //Stellt fest ob Erstaufruf; dann Downloaden
		
		//Festsetzen der URL-Adresse von der App
		myURL = "http://www.imathhome.de/imathe/";     // *********************************‚ remember to change this

	
		//Einlesen aller Datei-Namen der Aufgaben
		pdfEinlesen();

		
		
		//Erstaufruf der App: 
		if (appAufruf==null)
		  {	//navigator.notification.vibrate(4000);
		 	//navigator.notification.beep(1);
		 
		 	if (navigator.onLine)
				 {	//alert("Online!!");
				  	loaddatafromweb();
				  	if(allesDa==true) {navigator.notification.alert("Please have a little patience: The worksheets with solutions are now loaded.",true,'Download','OK');}
				 }
			else {
					navigator.notification.alert("Unfortunately you are OFFLINE!!",true,'Attention:', 'OK');
					navigator.notification.alert("In order to download all worksheets with solutions \nyou must be ONLINE!! ",true,'Attention:', 'Thank You');
					allesDa=false;
					localStorage.setItem('allesDa', false);			 
				 }
				 
			navigator.notification.alert("In order to view all solutions you need a pdf-Reader! \n\nPlease choose Adobe as your standard reader.",true,'Welcome to iMath!!', 'Thank you');
		 	navigator.notification.alert("In order to view all solutions you need a pdf-Reader! \n\nPlease choose Adobe as your standard reader.",true,'Welcome to iMath!!', 'Thank you');	 
			localStorage.setItem('appAufruf',1);	 
		  }
		else
		  {
		  	//Nicht alles vorhanden: Nochmals einlesen
			if (allesDa=='false')
			  {   
				if (navigator.onLine)
					 {loaddatafromweb();
					  navigator.notification.alert("There are not yet loaded all worksheets. \nThey are now downloaded!! ",true,'Please have a little patience:', 'Thank you');
					 }
				else {
					  navigator.notification.alert("Unfortunately you are OFFLINE!! A download of the worksheets with solutions is currently not possible.",true,'Attention:', 'OK');
					  //navigator.notification.alert("Um alle Aufgaben und Lösungen vollständig zu laden \nmüssen Sie einmalig ONLINE sein!! ",true,'Achtung:', 'Danke');			 
				 	
				 	  navigator.notification.alert("Not all worksheets are successfully loaded. \nYou should go ONLINE one more time!! ",true,'Attention:', 'Thank you');
				 	 }
				 
			  }
		  }
		
		
		//Liegen alle pdf-Dateien vor?
		//if (navigator.onLine)
		//{
		//	pdfCheck();
		//	if (allesDa==false) {
		//			downloadChk=true;
		//			loaddatafromweb()
		//			};
		//}//Ende Check

			
					
		//Liegt im Netz eine aktuellere Version?
		if (navigator.onLine)
		{
			getWebversion();
			
			var webversion=localStorage.getItem('webversion');
			//alert("Die Web-Version ist " +webversion);
					
			if(localStorage.getItem('versionApp')!==webversion)
						{
			  				navigator.notification.confirm("A more recent version of worksheets with solutions is available.\n \nDo you want to download them?",onConfirm,'Attention:',"No, Yes");
			  				function onConfirm(buttonIndex) {
									//alert("!!!" +buttonIndex);
 									if (buttonIndex===2) {	resetdatafromweb();} 
 									};
 							localStorage.setItem('versionApp',webversion);
        	  			};  		
		} //Ende Update
			



/*
//**********************-----------------------------------------------------------------
//Nach
//http://www.raymondcamden.com/index.cfm/2013/5/1/Using-the-Progress-event-in-PhoneGap-file-transfers
	window.requestFileSystem(LocalFileSystem.TEMPORARY, 0, 
		function(fs) {
			fileSystem = fs;
			alert("Bin hier ");
	
			buttonDom = document.querySelector('#startDl');
			buttonDom.addEventListener('touchend', startDl, false);
			buttonDom.removeAttribute("disabled");
			
			alert("Bin hier ");
	
			statusDom = document.querySelector('#status');
		}, function(e) {
			alert('failed to get fs');
			alert(JSON.stringify(e));
		});
	startDl();
//**********************-----------------------------------------------------------------
*/

} //Ende onDeviceReady


/*
//*****************--------------------------------------------------------------------
//Funktion um den Fortlauf des Downloadens anzuzeigen
//in Verbindung mit einem Slider im index-Programm
function startDl() {

alert("und da 1");

    //buttonDom.setAttribute("disabled","disabled");
	
    var ft1 = new FileTransfer();
    var uri = encodeURI(myURL +"a1afei.pdf");
 
	var downloadPath = "file:///sdcard/imathe/" + "version.txt";
	
	alert("und da");
 
	ft1.onprogress = function(progressEvent) {
		if (progressEvent.lengthComputable) {
			var perc = Math.floor(progressEvent.loaded / progressEvent.total * 100);
			alert( progressEvent.loaded +"  "+ progressEvent.total + "% loaded...");
		} else {
			alert("...");
		}
	};
		
					
	ft1.download(
								myURL + "a1vind.pdf",
								"file:///sdcard/imathe/" + "v1.txt",
						function(entry) {
							alert("download complete: " + entry.fullPath);
						},
						function(error) {
							//alert("download error source " + error.source);
							alert("download error target " + error.target);
							downloadChk=false;
						});
						
		var ft2 = new FileTransfer();	
					
		ft2.onprogress = function(progressEvent) {
		if (progressEvent.lengthComputable) {
			var perc = Math.floor(progressEvent.loaded / progressEvent.total * 100);
			alert( progressEvent.loaded +"  "+ progressEvent.total + "% loaded...");
		} else {
			alert("...");
		}
	};
					
		ft2.download(
								myURL + "a1afei.pdf",
								"file:///sdcard/imathe/" + "v2.txt",
						function(entry) {
							alert("download complete: " + entry.fullPath);
						},
						function(error) {
							//alert("download error source " + error.source);
							alert("download error target " + error.target);
							downloadChk=false;
						});
						
						
		
	
}
//*****************----------------------------------------------------------------------
*/



//Umlenken des Android Back-Buttons
//
function onBackKeyDown() {
			if(jQuery('#startpageleft div').is(':visible'))
					 {navigator.app.exitApp();}
 			else {showRight('startpageleft','dontslideright');}
}//Ende 



// Funktion, um in Cordova 2.7. den ChildBrowser vorzutäuschen
// Von TW erweitert ************	
function loadChildBrowser(isInternal, URL) {

	if(isInternal==true){
		// Pfad für den lokalen Android-Zugriff korrigieren: 
		// Aus  "pdf/a1vind.pdf"  wird  "a1vind.pdf"
		var URLk = URL;	
		window.open('file:///mnt/sdcard/imathe/' + URLk,'_system','location=no');
			//window.open('http://www.imathhome.de/imathlocal/a1afei.doc','_system','location=no');
			//window.plugins.childBrowser.showWebPage("file:///mnt/sdcard/imath/" + URLk, {showLocationBar:true});
			//navigator.app.loadUrl('http://www.google.com', { openExternal:true } );
			
			
			//Funktioniert: Acrobat wir aufgerufen!!
			//navigator.app.loadUrl('file:///mnt/sdcard/imathe/' + URLk, { openExternal:true } ); 



		//var strPath = window.location.href; 
        //var path = strPath.split('index.html').join(URL);
        //alert(encodeURI(path));
		//window.open(encodeURI(path),'_blank','location=no');
		}
	else if(isInternal=='youtube'){
		if (navigator.onLine) {window.open(URL,'_system','location=no');}
		else {navigator.notification.alert("In order to play the video \nyou must be ONLINE!!", true, 'Attention:', 'OK');}
		}
	else
		{
		if (navigator.onLine) {window.open(URL,'_blank','location=no');}
		else {navigator.notification.alert("In order to open this site  \nyou must be ONLINE!!", true, 'Attention:', 'OK');}
		}

}; //Ende loadChildBrowser



// Namen der pdf-Dateien definieren
function pdfEinlesen(){				 
pdfname=
["a1afei.pdf","a1arc.pdf","a1dg1o.pdf","a1difa.pdf","a1diff1.pdf","a1diff2.pdf",
"a1exlo.pdf","a1gebf.pdf","a1glun.pdf",
"a1gstf.pdf","a1komp.pdf","a1komp1.pdf","a1lgs.pdf","a1poly.pdf","a1sico.pdf","a1vekan.pdf","a1vektor1.pdf","a1vektor2.pdf","a1vind.pdf",
"a2ifun1.pdf","a2ifun2.pdf","a2int.pdf",
"a2intm.pdf","a2lap.pdf","a2lapa.pdf","a2linu.pdf","a2mdet.pdf","a2mlg.pdf","a2mvar1.pdf",
"a2mvar2.pdf","a2mvar3.pdf","a2reihe.pdf","a2tay.pdf","a2taya.pdf","a3comp.pdf","a3comp2.pdf",
"a3compan1.pdf","a3compan2.pdf","a3dg1(2).pdf","a3dg1.pdf","a3dg1an.pdf","a3dgn(1).pdf","a3dgn(2).pdf","a3dgnan.pdf",
"a3dgsys(2).pdf","a3dgsys.pdf","a3fr(2).pdf","a3fr.pdf","a3ft1.pdf","a3ft2.pdf","a3pdg1.pdf","a3pdg2.pdf"
];
} //Ende txtEinlesen




// Funktion, um pdf-Dateien vom WebServer herunterzuladen
function loaddatafromweb() {
	
		// PDF-Liste aller Aufgaben in Schleife durchlaufen
		for(var j=0;j<pdfname.length;j++)
				{
						// Jeweilige Datei herunterladen
						var fileTransfer = new FileTransfer();
							fileTransfer.download(
								myURL + pdfname[j],
								"file:///sdcard/imathe/" + pdfname[j],
						function(entry) {
							//alert("download complete: " + entry.fullPath);
						},
						function(error) {
							//alert("download error source " + error.source);
							//alert("download error target " + error.target);
							downloadChk=false;
						});
				};
				
				
		if (!downloadChk) {
	    		localStorage.setItem('allesDa',false);
	    		allesDa=false;
	    		navigator.notification.alert("Currently your system is not able to transfer the data! \n\nIn order to download the worksheets you should go ONLINE.", true, 'Attention:', 'OK');
	    		}
	    		else
	    		{//navigator.notification.alert("Alle Daten sind nun geladen");
	    		localStorage.setItem('allesDa',true);
	    		allesDa=true;
	    		}
	    		
	    		//alert("1   " +localStorage.getItem('allesDa'));
	    		
	    $.get(myURL +"version.txt", function(msg)
			{
			var webversion = msg.split("\n");
			//console.log(version[0]);
			localStorage.setItem('versionApp',webversion[0]);
			//alert("Versionsnummer Web im loaddatafrom web 1 " +webversion[0]);
			}, "text");
			
			//alert("Versionsnummer Web im loaddatafrom web 2 " +localStorage.getItem('versionApp'));
	    		
} //Ende Download


function getWebversion() {
	    $.get(myURL +"version.txt", function(msg)
			{
			var webversion = msg.split("\n");
			//console.log(version[0]);
			localStorage.setItem('webversion',webversion[0]);
			//alert("Versionsnummer Web im loaddatafrom web 1 " +webversion[0]);
			}, "text");
} // Ende


// Funktion, um reset der pdf-Dateien vom WebServer durchzuführen
function resetdatafromweb() {

                    if (navigator.onLine)
				 		{
				 //options={'bounceAnimation':true, 'fullScreen':false, 'strokeOpacity':0.2, 'backgroundOpacity':0.4, 'strokeColor':FF0000, 'labelText':"Downloading ..."};
				 //navigator.notification.loadingStart("Loading some ..", "loading");  //Loading with icon
				navigator.notification.activityStart("Downloading new Data", "loading ...");
				 		 	loaddatafromweb();
				 		navigator.notification.activityStop(); 
				 		 	if (localStorage.getItem('allesDa')=='true') {
				 		 	navigator.notification.alert("All worksheets with solutions will be downloaded now!",true,'Please have a little patience:', 'Thank you');};
				 //navigator.notification.loadingStop();  //Loading with icon
				 //navigator.notification.loading...
				 //navigator.notification.activityStop();  //Loading in statusbar
				 		}
					else 
						{
							navigator.notification.alert("Unfortunately you are OFFLINE!! Currently it is not possible to perform a reset.",true,'Attention:', 'Thank you');
							navigator.notification.alert("In order to download all worksheets with solutions \nyou must go ONLINE!! ",true,'Attention:', 'Thank you');
				 		}

} //Ende Reset Aufgaben


function pdfCheck() {	
			
			//alert("pdfChk");
				
			// PDF-Liste in Schleife durchlaufen
			for(var j=0;j<pdfname.length;j++)
				{
				
					
				// Abfragen, ob Datei vorhanden ist (im lokalen Dateisystem)
				//window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, onFileSystemSuccess, fail);
				window.resolveLocalFileSystemURI("file:///sdcard/imathe/" + pdfname[j], onResolveSuccess1, fail1);

				function onFileSystemSuccess(fileSystem) {
					//console.log(fileSystem.name);
					//alert(LocalFileSystem);
					}

				// Wenn die jeweilige Datei vorhanden ist, nicht reagieren, hier evtl. später Dateigrößen vergleichen
				function onResolveSuccess1(fileEntry) {
					//alert("Datei vorhanden");			
					}

				// Wenn Datei nicht vorhanden ist, dann herunterladen
				function fail1(error) {
					downloadChk=false;
					}
					
				};


			if (!downloadChk) {
	    		localStorage.setItem('allesDa',false);
	    		allesDa=false;
	    		}
	    		else
	    		{//navigator.notification.alert("Alle Daten sind nun geladen");
	    		localStorage.setItem('allesDa',true);
	    		allesDa=true;
	    		}
//alert("pdfChk " +allesDa);
}//Ende Check
		
		